summaryrefslogtreecommitdiff
path: root/git_hooks/pre-commit/copyrightyear_check
diff options
context:
space:
mode:
Diffstat (limited to 'git_hooks/pre-commit/copyrightyear_check')
-rwxr-xr-xgit_hooks/pre-commit/copyrightyear_check48
1 files changed, 48 insertions, 0 deletions
diff --git a/git_hooks/pre-commit/copyrightyear_check b/git_hooks/pre-commit/copyrightyear_check
new file mode 100755
index 00000000..535b3c16
--- /dev/null
+++ b/git_hooks/pre-commit/copyrightyear_check
@@ -0,0 +1,48 @@
+#!/bin/bash
+#
+# Copyright (c) 2010, Benjamin C. Meyer <ben@meyerhome.net>
+# Copyright (C) 2011 by Andrea Diamantini <adjam7 at gmail dot com>
+#
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of
+# the License or (at your option) version 3 or any later version
+# accepted by the membership of KDE e.V. (or its successor approved
+# by the membership of KDE e.V.), which shall act as a proxy
+# defined in Section 14 of version 3 of the license.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+#######################################################################
+
+
+function test_file {
+ year=`date +%Y`
+ echo "------- checking copyright year: $file"
+ grep $year $file >> /dev/null
+ if [ $? -ne 0 ] ; then
+ echo "------- Warning: $file seems to be missing a copyright string with the year $year in it.";
+ exit 1
+ else
+ echo "------- checking copyright year: PASS"
+ echo ""
+ fi
+}
+
+case "${1}" in
+ --about )
+ echo "Check the files that are being committed for a copyright with a proper year."
+ ;;
+ * )
+ for file in `git diff-index --cached --name-only HEAD | /bin/grep -F .` ; do
+ test_file "${file}"
+ done
+ ;;
+esac